NuSphere Forums Forum Index
NuSphere Forums
Reply to topic
Dbg for HP-UX PA RISC


Joined: 02 Nov 2006
Posts: 7
Reply with quote
Hello.
First of all sorry about my english.
I'm new at php ed forums.I need an php editor with debugger and i'm testing several products. I have an HP-UX 11i server with apache 2.0.58, php 4.4.4 and dbg 2.15.1 compiled from source code, working correctly with php editor 2.1.6 and dbglistener.
I want to try PhpED, but it is no posible to debug any pages,i supose the problem is the version of the debugger on the server , different of the client side.
Are there any dbg.so 3.1 for PHP 4.4.4 to HP-UX 11i(11.11) binaries, or compiled to an PA RISC proccesor.

Thank's a lot.
View user's profileFind all posts by MrSisterSend private message
Site Admin

Joined: 13 Jul 2003
Posts: 7897
Reply with quote
I'm sorry to say that we have no php debugger modules for HP-UX platform.

We support the following platforms (OS/HW):

Linux 2.3 or higher / x86 (32bit mode)
Linux 2.6 or higher / 64bit (amd)
FreeBSD 4.10 or higher / x86 (32bit mode)
Mac OSX 10.4 or higher / powerpc
Sun OS 5.6 or higher / ultrasparc 7 or better (32 bit)
Sun OS 5.6 or higher / ultrasparc 9 or better (64 bit)
Windows 98/ME/NT4/2000/2003/XP / x86 (32bit mode)

Depending on various conditions we may consider to perform custom works such as compiling/providing debugger modules per our customers' requests on their own hw/software platforms.

_________________
The PHP IDE team
View user's profileFind all posts by dmitriSend private messageVisit poster's website
Thank you for your answer


Joined: 02 Nov 2006
Posts: 7
Reply with quote
Hello Dimitri.
Thank's for your answer.
Another cuestion. Why can i debug a session with server debugger 2.13.1 running on hp-ux, compiled from source files using the client module distributed with PHPEdit 2.6.1 and cann't debug the same file using the PHPEd 4.6?
I think that if the server module works fine with one client it should works fine with the otrher client too?
It's possible to compile from souce code like with version 2.13.1 or version 3.1.6 only is distributed in binary packet?
Thank you again.
View user's profileFind all posts by MrSisterSend private message
Site Admin

Joined: 13 Jul 2003
Posts: 7897
Reply with quote
2.13 is a very outdated version. In version 3 we've made a lot of fixes and improvements, such as support for SSL, better support for backtracing and 5.1 classes and so forth. Those improvements are done with changes in protocol because it had to support such changes too. Just support for SSL alone is enough to make dbg-2.x incompatible with 3.x. We do our best to keep modules binary compatible only during one major version lifetime. Regarding sources, sorry if I did not make it clear that we may consider it only per our customer's requests who purchased the product.
I think "consider" is a correct word because there is no commitment.

_________________
The PHP IDE team
View user's profileFind all posts by dmitriSend private messageVisit poster's website
Understanded


Joined: 02 Nov 2006
Posts: 7
Reply with quote
Thank's for the answer.

I'm looking for a solution to purchase the license.
Thank's again.
View user's profileFind all posts by MrSisterSend private message
Dbg for HP-UX PA RISC
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
All times are GMT - 5 Hours  
Page 1 of 1  

  
  
 Reply to topic